package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.entity.BaseExample;

public class APIShareSearchModel extends BaseExample {

    //主题分类
    private Long catelogTheme ;

    private String catelogThemeCode ;

    //部门
    private Long provider ;

    private String sectorCode ;

    //共享属性
    private String shareType ;

    //名称
    private String resourceName ;

    //排除shareType字段
    private String NotShareType ;

    //发布状态
    private String publishState ;

    //计费类型
    private String chargeMethod ;

    //排序
    private Integer sortType;

    private String  viewTimes;

    private String sortCategory;


    public Long getCatelogTheme() {
        return catelogTheme;
    }

    public void setCatelogTheme(Long catelogTheme) {
        this.catelogTheme = catelogTheme;
    }

    public Long getProvider() {
        return provider;
    }

    public void setProvider(Long provider) {
        this.provider = provider;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getNotShareType() {
        return NotShareType;
    }

    public void setNotShareType(String notShareType) {
        NotShareType = notShareType;
    }

    public String getPublishState() {
        return publishState;
    }

    public void setPublishState(String publishState) {
        this.publishState = publishState;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod;
    }

    public String getCatelogThemeCode() {
        return catelogThemeCode;
    }

    public void setCatelogThemeCode(String catelogThemeCode) {
        this.catelogThemeCode = catelogThemeCode;
    }

    public String getSectorCode() {
        return sectorCode;
    }

    public void setSectorCode(String sectorCode) {
        this.sectorCode = sectorCode;
    }

    public Integer getSortType() {
        return sortType;
    }

    public void setSortType(Integer sortType) {
        this.sortType = sortType;
    }

    public String getViewTimes() {
        return viewTimes;
    }

    public void setViewTimes(String viewTimes) {
        this.viewTimes = viewTimes;
    }

    public String getSortCategory() {
        return sortCategory;
    }

    public void setSortCategory(String sortCategory) {
        this.sortCategory = sortCategory;
    }
}
